package com.mvista.eclipse.managed.make.core;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

/**
 * The main plugin class to be used in the desktop.
 */
public class MVMakeTestCorePlugin extends Plugin {
	
	public final static String PLUGIN_ID = "com.mvista.eclipse.managed.make.core";

	//The shared instance.
	private static MVMakeTestCorePlugin plugin;
	
	/**
	 * The constructor.
	 */
	public MVMakeTestCorePlugin() {
		plugin = this;
	}

	/**
	 * This method is called upon plug-in activation
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/**
	 * This method is called when the plug-in is stopped
	 */
	public void stop(BundleContext context) throws Exception {
		super.stop(context);
		plugin = null;
	}

	/**
	 * Returns the shared instance.
	 */
	public static MVMakeTestCorePlugin getDefault() {
		return plugin;
	}
	
	public static String getUniqueIdentifier() {
		if (getDefault() == null) {
			// If the default instance is not yet initialized,
			// return a static identifier. This identifier must
			// match the plugin id defined in plugin.xml
			return PLUGIN_ID;
		}
		return getDefault().getBundle().getSymbolicName();
	}

}
